Get event details
curl --request GET \
--url https://api.rekko.ai/v1/events/{slug}import requests
url = "https://api.rekko.ai/v1/events/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rekko.ai/v1/events/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rekko.ai/v1/events/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rekko.ai/v1/events/{slug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rekko.ai/v1/events/{slug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rekko.ai/v1/events/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"slug": "<string>",
"title": "<string>",
"platform": "<string>",
"market_count": 1,
"total_volume_24h": 1,
"updated_at": "2023-11-07T05:31:56Z",
"description": "",
"category": "",
"top_yes_price": 0.5,
"mutually_exclusive": true,
"status": "open",
"end_date": "2023-11-07T05:31:56Z",
"featured": false,
"also_on": [
{
"platform": "<string>",
"event_id": "<string>",
"url": "",
"market_count": 0
}
],
"markets": [
{
"market_id": "<string>",
"title": "<string>",
"yes_price": 0.5,
"volume_24h": 0,
"url": "",
"open_interest": 1,
"spread": 1
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Events
Get Event
Get a single event with aggregate stats and optionally all its markets.
Use ?expand=markets to include individual outcome markets in the response.
GET
/
v1
/
events
/
{slug}
Get event details
curl --request GET \
--url https://api.rekko.ai/v1/events/{slug}import requests
url = "https://api.rekko.ai/v1/events/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rekko.ai/v1/events/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rekko.ai/v1/events/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rekko.ai/v1/events/{slug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rekko.ai/v1/events/{slug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rekko.ai/v1/events/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"slug": "<string>",
"title": "<string>",
"platform": "<string>",
"market_count": 1,
"total_volume_24h": 1,
"updated_at": "2023-11-07T05:31:56Z",
"description": "",
"category": "",
"top_yes_price": 0.5,
"mutually_exclusive": true,
"status": "open",
"end_date": "2023-11-07T05:31:56Z",
"featured": false,
"also_on": [
{
"platform": "<string>",
"event_id": "<string>",
"url": "",
"market_count": 0
}
],
"markets": [
{
"market_id": "<string>",
"title": "<string>",
"yes_price": 0.5,
"volume_24h": 0,
"url": "",
"open_interest": 1,
"spread": 1
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Query Parameters
Response
Successful Response
Prediction market event grouping related outcome markets.
An event like "Who will leave the Trump administration?" contains multiple individual markets (one per potential leaver). This model aggregates them with pre-computed stats.